%error = forceRequiredAddOn("Brick_Large_Cubes");
if(%error == $Error::AddOn_NotFound)
{
	error("Brick_Diagonal_Water - required Add-on Brick_Large_Cubes not found");
	return;
}

datablock fxDTSBrickData (brick8xWaterRiverDiagData)
{
	brickFile = "./8x River diag.blb";
	category = "Baseplates";
	subCategory = "Water";
	uiName = "8x River Diagonal";
	iconName = "Add-Ons/Brick_Large_Cubes/8x River";
   alwaysShowWireFrame = true;
   isWaterBrick = true;
};

datablock fxDTSBrickData (brick8xWaterRapidsDiagData)
{
	brickFile = "./8x Rapids diag.blb";
	category = "Baseplates";
	subCategory = "Water";
	uiName = "8x Rapids Diagonal";
	iconName = "Add-Ons/Brick_Large_Cubes/8x Rapids";
   alwaysShowWireFrame = true;
   isWaterBrick = true;
};

// River Water //
/////////////////
function brick8xWaterRiverDiagData::onPlant(%data, %brick)
{
   brick8xWaterData::onPlant(%data, %brick);
}

function brick8xWaterRiverDiagData::onLoadPlant(%data, %obj)
{
   brick8xWaterRiverData::onPlant(%data, %obj); 
}

function brick8xWaterRiverDiagData::onTrustCheckFinished(%data, %brick) 
{
   %brick.createWaterZone();  
   %brick.physicalZone.setAppliedForce(VectorScale(VectorNormalize(VectorAdd(%brick.getForwardVector(),%brick.getRightFVector())),1000));
}

function brick8xWaterRiverDiagData::onDeath(%data, %brick)
{
   brick8xWaterData::onDeath(%data, %brick);
}

function brick8xWaterRiverDiagData::onRemove(%data, %brick)
{
   brick8xWaterData::onRemove(%data, %brick);
}

function brick8xWaterRiverDiagData::onColorChange(%data, %brick)
{
   brick8xWaterData::onColorChange(%data, %brick);
}

function brick8xWaterRiverDiagData::onFakeDeath(%data, %brick)
{
   brick8xWaterData::onFakeDeath(%data, %brick);
}

function brick8xWaterRiverDiagData::onClearFakeDeath(%data, %brick)
{
   brick8xWaterData::onClearFakeDeath(%data, %brick);
}

function brick8xWaterRiverDiagData::disappear(%data, %brick, %time)
{
   brick8xWaterData::disappear(%data, %brick, %time);
}

function brick8xWaterRiverDiagData::reappear(%data, %brick)
{
   brick8xWaterData::reappear(%data, %brick);
}
/////////////////


// Rapids //
////////////
function brick8xWaterRapidsDiagData::onPlant(%data, %brick)
{
   brick8xWaterData::onPlant(%data, %brick);
}

function brick8xWaterRapidsDiagData::onLoadPlant(%data, %obj)
{
   brick8xWaterRapidsData::onPlant(%data, %obj); 
}

function brick8xWaterRapidsDiagData::onTrustCheckFinished(%data, %brick)
{
   %brick.createWaterZone();  
   %brick.physicalZone.setAppliedForce(VectorScale(VectorNormalize(VectorAdd(%brick.getForwardVector(),%brick.getRightFVector())),3000));
}

function brick8xWaterRapidsDiagData::onDeath(%data, %brick)
{
   brick8xWaterData::onDeath(%data, %brick);
}

function brick8xWaterRapidsDiagData::onRemove(%data, %brick)
{
   brick8xWaterData::onRemove(%data, %brick);
}

function brick8xWaterRapidsDiagData::onColorChange(%data, %brick)
{
   brick8xWaterData::onColorChange(%data, %brick);
}

function brick8xWaterRapidsDiagData::onFakeDeath(%data, %brick)
{
   brick8xWaterData::onFakeDeath(%data, %brick);
}

function brick8xWaterRapidsDiagData::onClearFakeDeath(%data, %brick)
{
   brick8xWaterData::onClearFakeDeath(%data, %brick);
}

function brick8xWaterRapidsDiagData::disappear(%data, %brick, %time)
{
   brick8xWaterData::disappear(%data, %brick, %time);
}

function brick8xWaterRapidsDiagData::reappear(%data, %brick)
{
   brick8xWaterData::reappear(%data, %brick);
}
////////////

function SimObject::getRightFVector(%obj)
{
	return vectorCross(%obj.getForwardVector(),%obj.getUpVector());
}

function SimObject::getLeftFVector(%obj)
{
	return vectorScale(%obj.getRightFVector(%obj),-1);
}